-- lx format
local format = require("core.format")

format.register({
	name = "HG Tags",
	shortname = "hgtags",
	author = "liqube",
	filenames = ".hgtags",

	patterns = {
		-- 9dec15c1bdcbee7f04e40739d379ac3a6686d464 tag-name
		{ pattern = "([a-f0-9]+)%s+(.-)%s*\n", type = { "bold", "string" }, line_start = true },
	},
})
